package xmlrpc;

import java.net.URL;
import org.apache.xmlrpc.client.XmlRpcClient;
import org.apache.xmlrpc.client.XmlRpcClientConfigImpl;
import org.apache.xmlrpc.client.XmlRpcCommonsTransportFactory;


public class Client {
    public static void main(String[] args) throws Exception {
        // vytvoreni konfigurace pro klienta
        XmlRpcClientConfigImpl config = new XmlRpcClientConfigImpl();
        config.setServerURL(new URL("http://127.0.0.1:8080")); // nastaveni adresy serveru
        config.setEnabledForExtensions(true);		// pridani extensions - odkloneni od standardu!
        config.setConnectionTimeout(60 * 1000);		// nastaveni timeoutu
        config.setReplyTimeout(60 * 1000);			// nastaveni reply timeoutu
        //vytvoreni klienta
        XmlRpcClient client = new XmlRpcClient();
      
        // vytvoreni trasportni casti (vyuzivame Jakarta Common HttpClient)
        client.setTransportFactory(
            new XmlRpcCommonsTransportFactory(client));
        // nastaveni (pripojeni) konfigurace
        client.setConfig(config);

        // vytvoreni vstupnich parametru
        Object[] params1 = new Object[]
            { new Integer(2), new Integer(3) };
        // vzdalene volani
        Integer result1 = (Integer) client.execute("xmlrpc.Calculator.add", params1);
        System.out.println("2 + 3 = " + result1);
        
        Integer result2 = (Integer) client.execute("xmlrpc.Calculator.sub", params1);
        System.out.println("2 - 3 = " + result2);
    }
}






