package xmlrpc;

import xmlrpc.Calculator;

import java.net.MalformedURLException;
import java.net.URL;
import org.apache.xmlrpc.client.XmlRpcClient;
import org.apache.xmlrpc.client.XmlRpcClientConfigImpl;
import org.apache.xmlrpc.client.util.ClientFactory;

public class ProxyClient {
	public static void main(String[] args) {
		try {
			// viz trida Client
			XmlRpcClientConfigImpl config = new XmlRpcClientConfigImpl();
			config.setServerURL(new URL("http://127.0.0.1:8080"));
			XmlRpcClient client = new XmlRpcClient();
			client.setConfig(config);
			// vytvorime ClientFactory
			ClientFactory factory = new ClientFactory(client);
			// vytvorime proxy class
			Calculator adder = (Calculator) factory.newInstance(xmlrpc.Calculator.class);
			// a normalne pouzivame jako lokalni ...
			int sum = adder.add(2, 4);
			System.out.println("2 + 4 = "+sum);
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
	}

    
}
