package xmlrpc;

import org.apache.xmlrpc.server.PropertyHandlerMapping;
import org.apache.xmlrpc.server.XmlRpcServer;
import org.apache.xmlrpc.server.XmlRpcServerConfigImpl;
import org.apache.xmlrpc.webserver.WebServer;

public class Server {
    private static final int port = 8080;

    public static void main(String[] args) throws Exception {
        // spust web server
        WebServer webServer = new WebServer(port);
        // ziskej XML-RPC Server
        XmlRpcServer xmlRpcServer = webServer.getXmlRpcServer();
      
        /* Load handler definitions from a property file.
         * The property file might look like:
         *   CalculatorImpl=org.apache.xmlrpc.demo.Calculator
         *   org.apache.xmlrpc.demo.proxy.Adder=org.apache.xmlrpc.demo.proxy.AdderImpl
         *
         * phm.load(Thread.currentThread().getContextClassLoader(),
         *        "MyHandlers.properties");
         *
         * You may also provide the handler classes directly,
         * like this:
         * phm.addHandler("CalculatorImpl",
         *     org.apache.xmlrpc.demo.Calculator.class);
         * phm.addHandler(org.apache.xmlrpc.demo.proxy.Adder.class.getName(),
         *     org.apache.xmlrpc.demo.proxy.AdderImpl.class);
         */
        PropertyHandlerMapping phm = new PropertyHandlerMapping();
        phm.addHandler("xmlrpc.Calculator", CalculatorImpl.class);
        // prirad mapovani
        xmlRpcServer.setHandlerMapping(phm);
        // nastav konfiguraci
        XmlRpcServerConfigImpl serverConfig =
            (XmlRpcServerConfigImpl) xmlRpcServer.getConfig();
        serverConfig.setEnabledForExtensions(true);
        serverConfig.setContentLengthOptional(false);
        // spust server
        webServer.start();
    }
}

